<?php
/**
 * Deletes a particular model.
 * If deletion is successful, the browser will be redirected to the 'index' page.
 *
 * @author Stefan Volkmar
 */
class DeleteAction extends XRenderAction{

    public function run() {
		if(Yii::app()->request->isPostRequest)
		{
			// we only allow deletion via POST request
			$this->loadModel()->delete();

			// if AJAX request (triggered by deletion via admin grid view), we should not redirect the browser
			if(!isset($_GET['ajax']))
				$this->redirect(array('index'));
		}
		else
			throw new CHttpException(400,'Invalid request. Please do not repeat this request again.');
    }
}
?>
